Package com.massivecraft.factions.cmd.check

## Class CheckSettingsFrame

- java.lang.Object
- - com.massivecraft.factions.cmd.check.CheckSettingsFrame

- All Implemented Interfaces:
    `FactionGUI`, `org.bukkit.inventory.InventoryHolder`

      public class CheckSettingsFrame
      extends java.lang.Object
      implements org.bukkit.inventory.InventoryHolder, FactionGUI

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckSettingsFrame​(FactionsPlugin plugin, FPlayer fPlayer)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `build()` |
    `java.lang.String` | `color​(java.lang.String message)` |
    `org.bukkit.inventory.Inventory` | `getInventory()` |
    `void` | `onClick​(int slot, org.bukkit.event.inventory.ClickType action)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckSettingsFrame

          public CheckSettingsFrame​(FactionsPlugin plugin,
                                    FPlayer fPlayer)

  - ### Method Detail

    - #### onClick

          public void onClick​(int slot,
                              org.bukkit.event.inventory.ClickType action)

      Specified by:
        `onClick` in interface `FactionGUI`

    - #### build

          public void build()

      Specified by:
        `build` in interface `FactionGUI`

    - #### getInventory

          public org.bukkit.inventory.Inventory getInventory()

      Specified by:
        `getInventory` in interface `org.bukkit.inventory.InventoryHolder`

    - #### color

          public java.lang.String color​(java.lang.String message)